<?xml version="1.0"?>
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <referenceContainer name="content">
        <container name="my.container" htmlTag="div" htmlClass="container">
            <block class="JeniaPlah\Demo\Block\HelloWorld"
                   name="demo.test"
                   template="JeniaPlah_Demo::test.phtml"
                   after="sibling.test">
                <block class="JeniaPlah\Demo\Block\HelloWorld" name="child.test" as="child_1"
                       template="JeniaPlah_Demo::test/child.phtml"/>
            </block>
            <block class="JeniaPlah\Demo\Block\HelloWorld" name="sibling.test"
                   template="JeniaPlah_Demo::sibling.phtml"/>
        </container>
    </referenceContainer>
</page>
